Bug 238996 - www/firefox: Fails to build: Exception: Failed to create virtualenv
Summary: www/firefox: Fails to build: Exception: Failed to create virtualenv
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-05 05:18 UTC by andy
Modified: 2019-07-08 02:30 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gecko)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andy 2019-07-05 05:18:28 UTC
FreeBSD FreeBSD_13 13.0-CURRENT FreeBSD 13.0-CURRENT #98 r349614: Tue Jul  2 18:10:54 EDT 2019     root@FreeBSD_13:/usr/obj/usr/src/amd64.amd64/sys/MYKERNEL  amd64

--->  Upgrade of www/firefox started at: Fri, 05 Jul 2019 01:13:53 -0400
--->  Upgrading 'firefox-68.0,1' to 'firefox-68.0_3,1' (www/firefox)
--->  Build of www/firefox started at: Fri, 05 Jul 2019 01:13:53 -0400
--->  Building '/usr/ports/www/firefox'
===>  Cleaning for firefox-68.0_3,1
===>   firefox-68.0_3,1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by firefox-68.0_3,1 for building
===>  Extracting for firefox-68.0_3,1
=> SHA256 Checksum OK for firefox-68.0.source.tar.xz.
===>  Patching for firefox-68.0_3,1
===>  Applying FreeBSD patches for firefox-68.0_3,1
No such line 323 in input file, ignoring
No such line 821 in input file, ignoring
No such line 287 in input file, ignoring
No such line 3950 in input file, ignoring
===>   firefox-68.0_3,1 depends on package: nspr>=4.21 - found
===>   firefox-68.0_3,1 depends on package: nss>=3.44.1 - found
===>   firefox-68.0_3,1 depends on package: icu>=63.1,1 - found
===>   firefox-68.0_3,1 depends on package: libevent>=2.1.8 - found
===>   firefox-68.0_3,1 depends on package: harfbuzz>=2.4.0 - found
===>   firefox-68.0_3,1 depends on package: graphite2>=1.3.13 - found
===>   firefox-68.0_3,1 depends on package: png>=1.6.35 - found
===>   firefox-68.0_3,1 depends on package: libvpx>=1.5.0 - found
===>   firefox-68.0_3,1 depends on package: sqlite3>=3.28.0 - found
===>   firefox-68.0_3,1 depends on package: py27-sqlite3>0 - found
===>   firefox-68.0_3,1 depends on package: v4l_compat>0 - found
===>   firefox-68.0_3,1 depends on executable: autoconf-2.13 - found
===>   firefox-68.0_3,1 depends on executable: nasm - found
===>   firefox-68.0_3,1 depends on executable: zip - found
===>   firefox-68.0_3,1 depends on package: rust>=1.34 - found
===>   firefox-68.0_3,1 depends on package: llvm80>0 - found
===>   firefox-68.0_3,1 depends on file: /usr/local/bin/clang80 - found
===>   firefox-68.0_3,1 depends on file: /usr/local/bin/python3.6 - found
===>   firefox-68.0_3,1 depends on package: rust-cbindgen>=0.8.7 - found
===>   firefox-68.0_3,1 depends on executable: node - found
===>   firefox-68.0_3,1 depends on executable: yasm - found
===>   firefox-68.0_3,1 depends on package: libnotify>0 - found
===>   firefox-68.0_3,1 depends on file: /usr/local/include/pulse/pulseaudio.h - found
===>   firefox-68.0_3,1 depends on executable: gmake - found
===>   firefox-68.0_3,1 depends on package: libiconv>=1.14_11 - found
===>   firefox-68.0_3,1 depends on package: pkgconf>=1.3.0_1 - found
===>   firefox-68.0_3,1 depends on file: /usr/local/bin/python2.7 - found
===>   firefox-68.0_3,1 depends on executable: update-desktop-database - found
===>   firefox-68.0_3,1 depends on package: xorgproto>=0 - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/x11.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xcb.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xcomposite.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xdamage.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xext.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xfixes.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xrender.pc - found
===>   firefox-68.0_3,1 depends on file: /usr/local/libdata/pkgconfig/xt.pc - found
===>   firefox-68.0_3,1 depends on package: perl5>=5.28.r1<5.29 - found
===>   firefox-68.0_3,1 depends on shared library: libfontconfig.so - found (/usr/local/lib/libfontconfig.so)
===>   firefox-68.0_3,1 depends on shared library: libfreetype.so - found (/usr/local/lib/libfreetype.so)
===>   firefox-68.0_3,1 depends on shared library: libaom.so - found (/usr/local/lib/libaom.so)
===>   firefox-68.0_3,1 depends on shared library: libdav1d.so - found (/usr/local/lib/libdav1d.so)
===>   firefox-68.0_3,1 depends on shared library: libevent.so - found (/usr/local/lib/libevent.so)
===>   firefox-68.0_3,1 depends on shared library: libffi.so - found (/usr/local/lib/libffi.so)
===>   firefox-68.0_3,1 depends on shared library: libgraphite2.so - found (/usr/local/lib/libgraphite2.so)
===>   firefox-68.0_3,1 depends on shared library: libharfbuzz.so - found (/usr/local/lib/libharfbuzz.so)
===>   firefox-68.0_3,1 depends on shared library: libicui18n.so - found (/usr/local/lib/libicui18n.so)
===>   firefox-68.0_3,1 depends on shared library: libnspr4.so - found (/usr/local/lib/libnspr4.so)
===>   firefox-68.0_3,1 depends on shared library: libnss3.so - found (/usr/local/lib/nss/libnss3.so)
===>   firefox-68.0_3,1 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   firefox-68.0_3,1 depends on shared library: libpixman-1.so - found (/usr/local/lib/libpixman-1.so)
===>   firefox-68.0_3,1 depends on shared library: libsqlite3.so - found (/usr/local/lib/libsqlite3.so)
===>   firefox-68.0_3,1 depends on shared library: libwebp.so - found (/usr/local/lib/libwebp.so)
===>   firefox-68.0_3,1 depends on shared library: libdbus-1.so - found (/usr/local/lib/libdbus-1.so)
===>   firefox-68.0_3,1 depends on shared library: libdbus-glib-1.so - found (/usr/local/lib/libdbus-glib-1.so)
===>   firefox-68.0_3,1 depends on shared library: libstartup-notification-1.so - found (/usr/local/lib/libstartup-notification-1.so)
===>   firefox-68.0_3,1 depends on shared library: libasound.so - found (/usr/local/lib/libasound.so)
===>   firefox-68.0_3,1 depends on shared library: libGL.so - found (/usr/local/lib/libGL.so)
===>   firefox-68.0_3,1 depends on shared library: libatk-1.0.so - found (/usr/local/lib/libatk-1.0.so)
===>   firefox-68.0_3,1 depends on shared library: libcairo.so - found (/usr/local/lib/libcairo.so)
===>   firefox-68.0_3,1 depends on shared library: libgconf-2.so - found (/usr/local/lib/libgconf-2.so)
===>   firefox-68.0_3,1 depends on shared library: libgdk_pixbuf-2.0.so - found (/usr/local/lib/libgdk_pixbuf-2.0.so)
===>   firefox-68.0_3,1 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===>   firefox-68.0_3,1 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>   firefox-68.0_3,1 depends on shared library: libgtk-x11-2.0.so - found (/usr/local/lib/libgtk-x11-2.0.so)
===>   firefox-68.0_3,1 depends on shared library: libgtk-3.so - found (/usr/local/lib/libgtk-3.so)
===>   firefox-68.0_3,1 depends on shared library: libIDL-2.so - found (/usr/local/lib/libIDL-2.so)
===>   firefox-68.0_3,1 depends on shared library: libxml2.so - found (/usr/local/lib/libxml2.so)
===>   firefox-68.0_3,1 depends on shared library: libORBit-2.so - found (/usr/local/lib/libORBit-2.so)
===>   firefox-68.0_3,1 depends on shared library: libpango-1.0.so - found (/usr/local/lib/libpango-1.0.so)
===>   firefox-68.0_3,1 depends on shared library: libjpeg.so - found (/usr/local/lib/libjpeg.so)
===>  Configuring for firefox-68.0_3,1
(cd /usr/ports/www/firefox/work/firefox-68.0 && /usr/local/bin/autoconf-2.13)
(cd /usr/ports/www/firefox/work/firefox-68.0/js/src/ && /usr/local/bin/autoconf-2.13)
===>   FreeBSD 10 autotools fix applied to /usr/ports/www/firefox/work/firefox-68.0/third_party/rust/backtrace-sys/src/libbacktrace/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/www/firefox/work/firefox-68.0/third_party/rust/backtrace-sys/src/libbacktrace/config/libtool.m4
Creating Python environment
New python executable in /usr/ports/www/firefox/work/.build/_virtualenvs/init/bin/python2.7
Also creating executable in /usr/ports/www/firefox/work/.build/_virtualenvs/init/bin/python
Installing setuptools, pip, wheel...
  Complete output from command /usr/ports/www/firef...s/init/bin/python2.7 - setuptools pip wheel:
  Exception:
Traceback (most recent call last):
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv_support/pip-9.0.3-py2.py3-none-any.whl/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv_support/pip-9.0.3-py2.py3-none-any.whl/pip/commands/install.py", line 289, in run
    delete=build_delete) as build_dir:
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv_support/pip-9.0.3-py2.py3-none-any.whl/pip/utils/build.py", line 22, in __init__
    name = os.path.realpath(tempfile.mkdtemp(prefix="pip-build-"))
  File "/usr/local/lib/python2.7/tempfile.py", line 339, in mkdtemp
    _os.mkdir(file, 0700)
OSError: [Errno 31] Too many links: '/tmp/pip-build-7TG_If'
----------------------------------------
...Installing setuptools, pip, wheel...done.
Traceback (most recent call last):
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv.py", line 2349, in <module>
    main()
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv.py", line 712, in main
    symlink=options.symlink)
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv.py", line 953, in create_environment
    download=download,
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv.py", line 904, in install_wheel
    call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=SCRIPT)
  File "/usr/ports/www/firefox/work/firefox-68.0/third_party/python/virtualenv/virtualenv.py", line 796, in call_subprocess
    % (cmd_desc, proc.returncode))
OSError: Command /usr/ports/www/firef...s/init/bin/python2.7 - setuptools pip wheel failed with error code 2
Traceback (most recent call last):
  File "/usr/ports/www/firefox/work/firefox-68.0/configure.py", line 132, in <module>
    sys.exit(main(sys.argv))
  File "/usr/ports/www/firefox/work/firefox-68.0/configure.py", line 38, in main
    sandbox.run(os.path.join(os.path.dirname(__file__), 'moz.configure'))
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 431, in run
    self.include_file(path)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 422, in include_file
    exec_(code, self)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/util.py", line 59, in exec_
    exec(object, globals, locals)
  File "/usr/ports/www/firefox/work/firefox-68.0/moz.configure", line 7, in <module>
    include('build/moz.configure/init.configure')
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 745, in include_impl
    self.include_file(what)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 422, in include_file
    exec_(code, self)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/util.py", line 59, in exec_
    exec(object, globals, locals)
  File "/usr/ports/www/firefox/work/firefox-68.0/build/moz.configure/init.configure", line 213, in <module>
    @imports('distutils.sysconfig')
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 728, in decorator
    depends = DependsFunction(self, func, dependencies, when=when)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 125, in __init__
    sandbox._value_for(self)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 525, in _value_for
    return self._value_for_depends(obj)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/util.py", line 947, in method_call
    cache[args] = self.func(instance, *args)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 534, in _value_for_depends
    value = obj.result()
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/util.py", line 947, in method_call
    cache[args] = self.func(instance, *args)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 151, in result
    return self._func(*resolved_args)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/configure/__init__.py", line 1097, in wrapped
    return new_func(*args, **kwargs)
  File "/usr/ports/www/firefox/work/firefox-68.0/build/moz.configure/init.configure", line 268, in virtualenv_python
    manager.build(python)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/virtualenv.py", line 473, in build
    self.create(python)
  File "/usr/ports/www/firefox/work/firefox-68.0/python/mozbuild/mozbuild/virtualenv.py", line 212, in create
    'Failed to create virtualenv: %s' % self.virtualenv_root)
Exception: Failed to create virtualenv: /usr/ports/www/firefox/work/.build/_virtualenvs/init
===>  Script "configure" failed unexpectedly.
Please report the problem to gecko@FreeBSD.org [maintainer] and attach the
"/usr/ports/www/firefox/work/.build/config.log" including the output of the
failure of your make command. Also, it might be a good idea to provide an
overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/firefox
*** Error code 1
Comment 1 andy 2019-07-05 06:28:12 UTC
There was a problem in my environment, working now.  Sorry for the noise.

===>  Installing for firefox-68.0_3,1
===>   Registering installation for firefox-68.0_3,1
+ www/firefox (firefox-68.0,1 -> firefox-68.0_3,1)